#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n, x, r;

    scanf("%d %d",&n,&x);

    int a[n];

    for(int i = 0; i < n; i++)
    {
        scanf("%d",&a[i]);
    }

    if(a[0] - x > 0)
        r = a[n - 1] - x;
    else
        r = a[n - 1] + (a[0] - x) * (-1) - a[0];

    printf("%d",r);

}